Package: comidi-clojure / 0.3.1-2

Metadata

Package Version Patches format
comidi-clojure 0.3.1-2 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
0001 Fix test failure with Clojure 1.9.patch | (download)

test/puppetlabs/comidi_test.clj | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 [patch] fix test failure with clojure 1.9+
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Quoting the Clojure documentation:

    Use :require in the ns macro in preference to calling this directly.

As kindly pointed out by Alex Miller (@puredanger), the “require” syntax
happened to work accidentally in Clojure 1.8, but that's now rejected by
Clojure 1.9+ with:

    Call to clojure.core/ns did not conform to spec: […] Extra input

Debian bug report: https://bugs.debian.org/889125